#ifndef __MAPPED_H
#define __MAPPED_H

extern void _init(void); /* (exported) */
extern void _fini(void); /* (exported) */
extern int execl (const char *path, const char *arg, ...); /* (GATE) */
extern int execle (const char *path, const char *arg, ...); /* (GATE) */
extern int execlp (const char *file, const char *arg, ...); /* (GATE) */
extern int execv (const char *path, char *const argv []); /* (GATE) */
extern int execve (const char *filename, char *const argv [], char *const envp[]); /* (GATE) */
extern int execvp (const char *file, char *const argv []); /* (GATE) */
extern void _exit(int status); /* (GATE) */
extern void _Exit(int status); /* (GATE) */
int system(const char *cmdstring);
FILE *popen(const char *cmdstring, const char *type);
int pclose(FILE *fp);

#endif
